<?php
class ControllerCatalogMegafooter extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('catalog/megafooter');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('catalog/megafooter');

		$this->getList();
	}

	public function add() {
		$this->load->language('catalog/megafooter');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('catalog/megafooter');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validateForm()) {
			$this->model_catalog_megafooter->addMegafooter($this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$url = '';

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}

			$this->response->redirect($this->url->link('catalog/megafooter', 'token=' . $this->session->data['token'] . $url, 'SSL'));
		}

		$this->getForm();
	}

	public function edit() {
		$this->load->language('catalog/megafooter');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('catalog/megafooter');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validateForm()) {
			$this->model_catalog_megafooter->editMegafooter($this->request->get['megafooter_id'], $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$url = '';

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}

			$this->response->redirect($this->url->link('catalog/megafooter', 'token=' . $this->session->data['token'] . $url, 'SSL'));
		}

		$this->getForm();
	}

	public function delete() {
		$this->load->language('catalog/megafooter');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('catalog/megafooter');

		if (isset($this->request->post['selected']) && $this->validateDelete()) {
			foreach ($this->request->post['selected'] as $information_id) {
				$this->model_catalog_megafooter->deleteMegafooter($information_id);
			}

			$this->session->data['success'] = $this->language->get('text_success');

			$url = '';

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}

			$this->response->redirect($this->url->link('catalog/megafooter', 'token=' . $this->session->data['token'] . $url, 'SSL'));
		}

		$this->getList();
	}

	protected function getList() {
		if (isset($this->request->get['sort'])) {
			$sort = $this->request->get['sort'];
		} else {
			$sort = 'id.title';
		}

		if (isset($this->request->get['order'])) {
			$order = $this->request->get['order'];
		} else {
			$order = 'ASC';
		}

		if (isset($this->request->get['page'])) {
			$page = $this->request->get['page'];
		} else {
			$page = 1;
		}

		$url = '';

		if (isset($this->request->get['sort'])) {
			$url .= '&sort=' . $this->request->get['sort'];
		}

		if (isset($this->request->get['order'])) {
			$url .= '&order=' . $this->request->get['order'];
		}

		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('catalog/megafooter', 'token=' . $this->session->data['token'] . $url, 'SSL')
		);

		$data['add'] = $this->url->link('catalog/megafooter/add', 'token=' . $this->session->data['token'] . $url, 'SSL');
		$data['setting'] = $this->url->link('catalog/megafooter/setting', 'token=' . $this->session->data['token'] . $url, 'SSL');
		$data['delete'] = $this->url->link('catalog/megafooter/delete', 'token=' . $this->session->data['token'] . $url, 'SSL');

		$data['informations'] = array();

		$filter_data = array(
			'sort'  => $sort,
			'order' => $order,
			'start' => ($page - 1) * $this->config->get('config_limit_admin'),
			'limit' => $this->config->get('config_limit_admin')
		);
		
		$data['megafooters'] = array();
		
		$megafooter_total = $this->model_catalog_megafooter->getTotalMegafooters($filter_data);

		$results = $this->model_catalog_megafooter->getMegafooters($filter_data);
		
		

		foreach ($results as $result) {

			$data['megafooters'][] = array(
				'megafooter_id' => $result['megafooter_id'],
				'row'       => $result['row'],
				'colmns'       => $result['colmns'],
				'megafootertype'      => $result['megafootertype'],
				'customtitle'      => $result['customtitle'],
				'sort_order'   => $result['sort_order'],
				'status'     => ($result['status']) ? $this->language->get('text_enabled') : $this->language->get('text_disabled'),
				'edit'       => $this->url->link('catalog/megafooter/edit', 'token=' . $this->session->data['token'] . '&megafooter_id=' . $result['megafooter_id'] . $url, 'SSL')
			);
		}

		
		$data['heading_title'] = $this->language->get('heading_title');

		$data['text_list'] = $this->language->get('text_list');
		$data['text_no_results'] = $this->language->get('text_no_results');
		$data['text_confirm'] = $this->language->get('text_confirm');

		$data['column_title'] = $this->language->get('column_title');
		$data['column_footertype'] = $this->language->get('column_footertype');
		$data['column_status'] = $this->language->get('column_status');
		$data['column_sort_order'] = $this->language->get('column_sort_order');
		$data['column_action'] = $this->language->get('column_action');
		$data['column_row'] = $this->language->get('column_row');
		$data['column_cols'] = $this->language->get('column_cols');

		$data['button_add'] = $this->language->get('button_add');
		$data['button_edit'] = $this->language->get('button_edit');
		$data['button_delete'] = $this->language->get('button_delete');
		$data['button_setting'] = $this->language->get('button_setting');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		if (isset($this->session->data['success'])) {
			$data['success'] = $this->session->data['success'];

			unset($this->session->data['success']);
		} else {
			$data['success'] = '';
		}

		if (isset($this->request->post['selected'])) {
			$data['selected'] = (array)$this->request->post['selected'];
		} else {
			$data['selected'] = array();
		}

		$url = '';

		if ($order == 'ASC') {
			$url .= '&order=DESC';
		} else {
			$url .= '&order=ASC';
		}

		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}

		$data['sort_title'] = $this->url->link('catalog/megafooter', 'token=' . $this->session->data['token'] . '&sort=id.title' . $url, 'SSL');
		$data['sort_sort_order'] = $this->url->link('catalog/megafooter', 'token=' . $this->session->data['token'] . '&sort=i.sort_order' . $url, 'SSL');

		$url = '';

		if (isset($this->request->get['sort'])) {
			$url .= '&sort=' . $this->request->get['sort'];
		}

		if (isset($this->request->get['order'])) {
			$url .= '&order=' . $this->request->get['order'];
		}

		$pagination = new Pagination();
		$pagination->total = $megafooter_total;
		$pagination->page = $page;
		$pagination->limit = $this->config->get('config_limit_admin');
		$pagination->url = $this->url->link('catalog/megafooter', 'token=' . $this->session->data['token'] . $url . '&page={page}', 'SSL');

		$data['pagination'] = $pagination->render();

		$data['results'] = sprintf($this->language->get('text_pagination'), ($megafooter_total) ? (($page - 1) * $this->config->get('config_limit_admin')) + 1 : 0, ((($page - 1) * $this->config->get('config_limit_admin')) > ($megafooter_total - $this->config->get('config_limit_admin'))) ? $megafooter_total : ((($page - 1) * $this->config->get('config_limit_admin')) + $this->config->get('config_limit_admin')), $megafooter_total, ceil($megafooter_total / $this->config->get('config_limit_admin')));

		$data['sort'] = $sort;
		$data['order'] = $order;

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('catalog/megafooter_list', $data));
	}

	protected function getForm() {
		$data['heading_title'] = $this->language->get('heading_title');
		$data['text_enabled'] = $this->language->get('text_enabled');
    	$data['text_disabled'] = $this->language->get('text_disabled');
		$data['text_form'] = !isset($this->request->get['information_id']) ? $this->language->get('text_add') : $this->language->get('text_edit');
		$data['text_category'] = $this->language->get('text_category');
		$data['text_select'] = $this->language->get('text_select');
		$data['text_info'] = $this->language->get('text_info');
		$data['text_manufact'] = $this->language->get('text_manufact');
		$data['text_custom'] = $this->language->get('text_custom');
		$data['text_yes'] = $this->language->get('text_yes');
		$data['text_no'] = $this->language->get('text_no');
		$data['text_editor'] = $this->language->get('text_editor');
		//// new changes  26-9-2016///
		$data['entry_store'] = $this->language->get('entry_store');
		$data['text_default'] = $this->language->get('text_default');
		//// new changes  26-9-2016///
		$data['entry_custitle'] = $this->language->get('entry_custitle');
		$data['entry_type'] = $this->language->get('entry_type');
		$data['entry_custname'] = $this->language->get('entry_custname');
		$data['entry_custurl'] = $this->language->get('entry_custurl');
		$data['entry_sort_order'] = $this->language->get('entry_sort_order');
		$data['entry_status'] = $this->language->get('entry_status');
		$data['entry_parent'] = $this->language->get('entry_parent');
		$data['entry_submenu'] = $this->language->get('entry_submenu');
		$data['entry_description'] = $this->language->get('entry_description');
		$data['entry_product'] = $this->language->get('entry_product');
		$data['entry_customcode'] = $this->language->get('entry_customcode');
		
		$data['help_keyword'] = $this->language->get('help_keyword');
		$data['help_category'] = $this->language->get('help_category');
		$data['help_manufacturer'] = $this->language->get('help_category');
		$data['help_information'] = $this->language->get('help_category');
		$data['help_bottom'] = $this->language->get('help_bottom');

		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');
		$data['button_custom'] = $this->language->get('button_custom');
		$data['button_remove'] = $this->language->get('button_remove');

	
		$data['entry_category'] = $this->language->get('entry_category');
		$data['entry_information'] = $this->language->get('entry_information');
		$data['entry_manufacturer'] = $this->language->get('entry_manufacturer');
		$data['entry_row'] = $this->language->get('entry_row');
		$data['entry_cols'] = $this->language->get('entry_cols');
		$data['entry_titleshow'] = $this->language->get('entry_titleshow');
		
		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}
		
		if (isset($this->error['customtitle'])) {
			$data['error_customtitle'] = $this->error['customtitle'];
		} else {
			$data['error_customtitle'] = array();
		}
		
		$url = '';

		if (isset($this->request->get['sort'])) {
			$url .= '&sort=' . $this->request->get['sort'];
		}

		if (isset($this->request->get['order'])) {
			$url .= '&order=' . $this->request->get['order'];
		}

		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('catalog/megafooter', 'token=' . $this->session->data['token'] . $url, 'SSL')
		);

		if (!isset($this->request->get['megafooter_id'])) {
			$data['action'] = $this->url->link('catalog/megafooter/add', 'token=' . $this->session->data['token'] . $url, 'SSL');
		} else {
			$data['action'] = $this->url->link('catalog/megafooter/edit', 'token=' . $this->session->data['token'] . '&megafooter_id=' . $this->request->get['megafooter_id'] . $url, 'SSL');
		}
		
		$data['cancel'] = $this->url->link('catalog/megafooter', 'token=' . $this->session->data['token'] . $url, 'SSL');

		if (isset($this->request->get['megafooter_id']) && ($this->request->server['REQUEST_METHOD'] != 'POST')) {
			$megafooter_info = $this->model_catalog_megafooter->getMegafooter($this->request->get['megafooter_id']);
		}
		
		$data['token'] = $this->session->data['token'];
		
		// Categories
		$this->load->model('catalog/category');

		if (isset($this->request->post['product_category'])) {
			$categories = $this->request->post['product_category'];
		} elseif (!empty($megafooter_info['categories'])) {
			$categories = unserialize($megafooter_info['categories']);
		} else {
			$categories = array();
		}

		$data['product_categories'] = array();
		if(!empty($categories)){
		foreach ($categories as $category_id) {
			$category_info = $this->model_catalog_category->getCategory($category_id);

			if ($category_info) {
				$data['product_categories'][] = array(
					'category_id' => $category_info['category_id'],
					'name' => ($category_info['path']) ? $category_info['path'] . ' &gt; ' . $category_info['name'] : $category_info['name']
				);
			}
		}
		}
		
       //// new changes  26-9-2016///
		
		$this->load->model('setting/store');

		$data['stores'] = $this->model_setting_store->getStores();

		if (isset($this->request->post['meagafooter_store'])) {
			$data['meagafooter_store'] = $this->request->post['meagafooter_store'];
		} elseif (isset($this->request->get['megafooter_id'])) {
			$data['meagafooter_store'] = $this->model_catalog_megafooter->getmegaStores($this->request->get['megafooter_id']);
		} else {
			$data['meagafooter_store'] = array(0);
		}
		//// new changes  26-9-2016///
		
		
		// Information
		
		$this->load->model('catalog/information');

		if (isset($this->request->post['footer_information'])) {
			$informations = $this->request->post['footer_information'];
		} elseif (!empty($megafooter_info['informations'])) {
			$informations = unserialize($megafooter_info['informations']);
		} else {
			$informations = array();
		}
		
		
		$data['footer_informationies'] = array();
		
		
		if(!empty($informations)){
		foreach ($informations as $information_id) {	
			
			$info = $this->model_catalog_information->getInformationtitle($information_id);	
			
			if($info){
				$data['footer_informationies'][] = array(
					'information_id' => $info['information_id'],
					'name'          => $info['title']
				);
			}
		}
		}

		// Manufacturer
		
		$this->load->model('catalog/manufacturer');

		if (isset($this->request->post['footer_manufacturer'])) {
			$manufacturers = $this->request->post['footer_manufacturer'];
		} elseif (!empty($megafooter_info['manufactures'])) {
			$manufacturers = unserialize($megafooter_info['manufactures']);
		} else {
			$manufacturers = array();
		}
		
		$data['footer_manufactureries'] = array();
		
		if(!empty($manufacturers)){
		foreach ($manufacturers as $manufacturer_id) {
			
			$manu_info = $this->model_catalog_manufacturer->getManufacturer($manufacturer_id);
			
			$data['footer_manufactureries'][] = array(
				'manufacturer_id' => $manu_info['manufacturer_id'],
				'name'          => $manu_info['name'],
			);
		}
		}

		// Custom Type
		if (isset($this->request->post['custom_type'])) {
			$custom_types = $this->request->post['custom_type'];
		} elseif (isset($this->request->get['megafooter_id'])) {
			$custom_types = $this->model_catalog_megafooter->getMegafootercustoms($this->request->get['megafooter_id']);
		} else {
			$custom_types = array();
		}

		$data['custom_types'] = array();
			if(!empty($custom_types)){
		foreach ($custom_types as $custom_type) {

			$data['custom_types'][] = array(
				'megafooter_ctype_desc' => $custom_type['megafooter_ctype_desc'],
				'custurl' => $custom_type['custurl'],
				'sort_order' => $custom_type['sort_order']
			);
		}
		}
		
		///other fields
		
		if (isset($this->request->post['megafooter_description'])) {
			$data['megafooter_description'] = $this->request->post['megafooter_description'];
		} elseif (isset($this->request->get['megafooter_id'])) {
			$data['megafooter_description'] = $this->model_catalog_megafooter->getMegafooterDescriptions($this->request->get['megafooter_id']);
		} else {
			$data['megafooter_description'] = array();
		}
		
		if (isset($this->request->post['row'])) {
			$data['row'] = $this->request->post['row'];
		} elseif (!empty($megafooter_info)) {
			$data['row'] = $megafooter_info['row'];
		} else {
			$data['row'] = 0;
		}
		
		if (isset($this->request->post['colmns'])) {
			$data['colmns'] = $this->request->post['colmns'];
		} elseif (!empty($megafooter_info)) {
			$data['colmns'] = $megafooter_info['colmns'];
		} else {
			$data['colmns'] = '';
		}
		
		
		
		if (isset($this->request->post['customcode'])) {
			$data['customcode'] = $this->request->post['customcode'];
		} elseif (!empty($megafooter_info)) {
			$data['customcode'] = $megafooter_info['customcode'];
		} else {
			$data['customcode'] = '';
		}
		
			if (isset($this->request->post['customcode_description'])) {
			$data['customcode_description'] = $this->request->post['customcode_description'];
		} elseif (isset($this->request->get['megafooter_id'])) {
			$data['customcode_description'] = $this->model_catalog_megafooter->getCustomcodeDescriptions($this->request->get['megafooter_id']);
		} else {
			$data['customcode_description'] = array();
		}
		
		if (isset($this->request->post['megafootertype'])) {
			$data['megafootertype'] = $this->request->post['megafootertype'];
		} elseif (!empty($megafooter_info)) {
			$data['megafootertype'] = $megafooter_info['megafootertype'];
		} else {
			$data['megafootertype'] = '';
		}
		
		
		
		if (isset($this->request->post['sort_order'])) {
			$data['sort_order'] = $this->request->post['sort_order'];
		} elseif (!empty($megafooter_info)) {
			$data['sort_order'] = $megafooter_info['sort_order'];
		} else {
			$data['sort_order'] = 0;
		}
		
		if (isset($this->request->post['titleshow'])) {
			$data['titleshow'] = $this->request->post['titleshow'];
		} elseif (!empty($megafooter_info)) {
			$data['titleshow'] = $megafooter_info['titleshow'];
		} else {
			$data['titleshow'] = '';
		}
		
		
		if (isset($this->request->post['status'])) {
			$data['status'] = $this->request->post['status'];
		} elseif (!empty($megafooter_info)) {
			$data['status'] = $megafooter_info['status'];
		} else {
			$data['status'] = '';
		}
		
		
		
		$this->load->model('localisation/language');

		$data['languages'] = $this->model_localisation_language->getLanguages();

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('catalog/megafooter_form', $data));
	}

	protected function validateForm() {
		if (!$this->user->hasPermission('modify', 'catalog/megafooter')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		
		foreach ($this->request->post['megafooter_description'] as $language_id => $value) {
			if ((utf8_strlen($value['customtitle']) < 3) || (utf8_strlen($value['customtitle']) > 64)) {
				$this->error['customtitle'][$language_id] = $this->language->get('error_customtitle');
			}
		}
	
		return !$this->error;
	}

	protected function validateDelete() {
		if (!$this->user->hasPermission('modify', 'catalog/megafooter')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		return !$this->error;
	}
	public function setting() {
		
		$this->load->language('catalog/megafooter');
		
		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');
		
		if (($this->request->server['REQUEST_METHOD'] == 'POST')) {
			$this->model_setting_setting->editSetting('megafooter', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('catalog/megafooter', 'token=' . $this->session->data['token'], 'SSL'));
		}
		
		$url = '';	
		
		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('catalog/megafooter', 'token=' . $this->session->data['token'] . $url, 'SSL')
		);
		
		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_megafootersetting'),
			'href' => $this->url->link('catalog/megafooter/setting', 'token=' . $this->session->data['token'] . $url, 'SSL')
		);
		
		$data['action'] = $this->url->link('catalog/megafooter/setting', 'token=' . $this->session->data['token'] . $url, 'SSL');
		$data['cancel'] = $this->url->link('catalog/megafooter', 'token=' . $this->session->data['token'] . $url, 'SSL');
		
		$data['heading_title'] = $this->language->get('heading_title');
		$data['text_form'] = $this->language->get('text_form');
		$data['entry_footerbg'] = $this->language->get('entry_footerbg');
		$data['entry_footertitle'] = $this->language->get('entry_footertitle');
		$data['entry_footerlink'] = $this->language->get('entry_footerlink');
		$data['entry_footerhlink'] = $this->language->get('entry_footerhlink');
		$data['entry_footerpowd'] = $this->language->get('entry_footerpowd');
		$data['button_cancel'] = $this->language->get('button_cancel');
		$data['button_save'] = $this->language->get('button_save');
		$data['entry_footercontainer'] = $this->language->get('entry_footercontainer');
		$data['entry_footerlinknew'] = $this->language->get('entry_footerlinknew');
		$data['text_yes'] = $this->language->get('text_yes');
		$data['text_no'] = $this->language->get('text_no');
		$data['entry_footertitlesize'] = $this->language->get('entry_footertitlesize');
		$data['entry_footerlinksize'] = $this->language->get('entry_footerlinksize');
		
		/////new code///
		$data['help_footerbg'] = $this->language->get('help_footerbg');
		$data['help_footertitle'] = $this->language->get('help_footertitle');
		$data['help_footerlink'] = $this->language->get('help_footerlink');
		$data['help_footerhlink'] = $this->language->get('help_footerhlink');
		$data['help_footerpowd'] = $this->language->get('help_footerpowd');
		$data['help_footertitlesize'] = $this->language->get('help_footertitlesize');
		$data['help_footerlinksize'] = $this->language->get('help_footerlinksize');
		$data['help_footercontainer'] = $this->language->get('help_footercontainer');
		$data['help_footerlinknew'] = $this->language->get('help_footerlinknew');
		/////new code///
		
		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}
		
		if (isset($this->request->post['megafooter_footerbg'])) {
			$data['megafooter_footerbg'] = $this->request->post['megafooter_footerbg'];
		} else {
			$data['megafooter_footerbg'] = $this->config->get('megafooter_footerbg');
		}
		
		if (isset($this->request->post['megafooter_footertitle'])) {
			$data['megafooter_footertitle'] = $this->request->post['megafooter_footertitle'];
		} else {
			$data['megafooter_footertitle'] = $this->config->get('megafooter_footertitle');
		}
		
		if (isset($this->request->post['megafooter_footerlink'])) {
			$data['megafooter_footerlink'] = $this->request->post['megafooter_footerlink'];
		} else {
			$data['megafooter_footerlink'] = $this->config->get('megafooter_footerlink');
		}
		
		if (isset($this->request->post['megafooter_footerhlink'])) {
			$data['megafooter_footerhlink'] = $this->request->post['megafooter_footerhlink'];
		} else {
			$data['megafooter_footerhlink'] = $this->config->get('megafooter_footerhlink');
		}
		
		if (isset($this->request->post['megafooter_footerpowd'])) {
			$data['megafooter_footerpowd'] = $this->request->post['megafooter_footerpowd'];
		} else {
			$data['megafooter_footerpowd'] = $this->config->get('megafooter_footerpowd');
		}
		
		if (isset($this->request->post['megafooter_footercontainer'])) {
			$data['megafooter_footercontainer'] = $this->request->post['megafooter_footercontainer'];
		} else {
			$data['megafooter_footercontainer'] = $this->config->get('megafooter_footercontainer');
		}
		
		if (isset($this->request->post['megafooter_footerlinknew'])) {
			$data['megafooter_footerlinknew'] = $this->request->post['megafooter_footerlinknew'];
		} else {
			$data['megafooter_footerlinknew'] = $this->config->get('megafooter_footerlinknew');
		}
		
		if (isset($this->request->post['megafooter_footerlinksize'])) {
			$data['megafooter_footerlinksize'] = $this->request->post['megafooter_footerlinksize'];
		} else {
			$data['megafooter_footerlinksize'] = $this->config->get('megafooter_footerlinksize');
		}
		
		if (isset($this->request->post['megafooter_footertitlesize'])) {
			$data['megafooter_footertitlesize'] = $this->request->post['megafooter_footertitlesize'];
		} else {
			$data['megafooter_footertitlesize'] = $this->config->get('megafooter_footertitlesize');
		}
		
		
		
		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('catalog/megafooter_setting', $data));	
	}	
	
	public function infoautocomplete() {
		$json = array();

		if (isset($this->request->get['filter_name'])) {
			$this->load->model('catalog/information');

			$filter_data = array(
				'filter_name' => $this->request->get['filter_name'],
				'sort'        => 'name',
				'order'       => 'ASC',
				'start'       => 0,
				'limit'       => ''
			);

			$results = $this->model_catalog_information->getInformations($filter_data);
		
			foreach ($results as $result) {
				$json[] = array(
					'information_id' => $result['information_id'],
					'name'        => strip_tags(html_entity_decode($result['title'], ENT_QUOTES, 'UTF-8'))
				);
			}
		}

		$sort_order = array();

		foreach ($json as $key => $value) {
			$sort_order[$key] = $value['name'];
		}

		array_multisort($sort_order, SORT_ASC, $json);

		$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
	}
	
	public function manufautocomplete() {
		$json = array();

		if (isset($this->request->get['filter_name'])) {
			$this->load->model('catalog/manufacturer');

			$filter_data = array(
				'filter_name' => $this->request->get['filter_name'],
				'sort'        => 'name',
				'order'       => 'ASC',
				'start'       => 0,
				'limit'       => ''
			);

			$results = $this->model_catalog_manufacturer->getManufacturers($filter_data);
		
			foreach ($results as $result) {
				$json[] = array(
					'manufacturer_id' => $result['manufacturer_id'],
					'name'        => strip_tags(html_entity_decode($result['name'], ENT_QUOTES, 'UTF-8'))
				);
			}
		}

		$sort_order = array();

		foreach ($json as $key => $value) {
			$sort_order[$key] = $value['name'];
		}

		array_multisort($sort_order, SORT_ASC, $json);

		$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
	}
}