 <!DOCTYPE html>
<!--[if IE]><![endif]-->
<!--[if IE 8 ]><html dir="<?php echo $direction; ?>" lang="<?php echo $lang; ?>" class="ie8"><![endif]-->
<!--[if IE 9 ]><html dir="<?php echo $direction; ?>" lang="<?php echo $lang; ?>" class="ie9"><![endif]-->
<!--[if (gt IE 9)|!(IE)]><!-->
<html class="responsive" dir="<?php echo $direction; ?>" lang="<?php echo $lang; ?>">
<!--<![endif]-->
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title><?php echo $title; ?></title>
<base href="<?php echo $base; ?>" />
<?php if ($description) { ?>
<meta name="description" content="<?php echo $description; ?>" />
<?php } ?>
<?php if ($keywords) { ?>
<meta name="keywords" content= "<?php echo $keywords; ?>" />
<?php } ?>
<script src="catalog/view/javascript/jquery/jquery-2.1.1.min.js" type="text/javascript"></script>
<link href="catalog/view/javascript/bootstrap/css/bootstrap.min.css" rel="stylesheet" media="screen" />
<script src="catalog/view/javascript/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
<link href="catalog/view/javascript/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
<link href="//fonts.googleapis.com/css?family=Open+Sans:400,400i,300,700" rel="stylesheet" type="text/css" />
<link href="catalog/view/theme/classified/stylesheet/stylesheet.css" rel="stylesheet">
<link href="catalog/view/theme/classified/stylesheet/responsive.css" rel="stylesheet">
<!--bootstrap select-->
<link href="catalog/view/theme/classified/js/dist/css/bootstrap-select.css" rel="stylesheet" type="text/css" />
<script src="catalog/view/theme/classified/js/dist/js/bootstrap-select.js" type="text/javascript"></script>
<?php foreach ($styles as $style) { ?>
<link href="<?php echo $style['href']; ?>" type="text/css" rel="<?php echo $style['rel']; ?>" media="<?php echo $style['media']; ?>" />
<?php } ?>
<script src="catalog/view/javascript/common.js" type="text/javascript"></script>
<?php foreach ($links as $link) { ?>
<link href="<?php echo $link['href']; ?>" rel="<?php echo $link['rel']; ?>" />
<?php } ?>
<?php foreach ($scripts as $script) { ?>
<script src="<?php echo $script; ?>" type="text/javascript"></script>
<?php } ?>
<?php foreach ($analytics as $analytic) { ?>
<?php echo $analytic; ?>
<?php } ?>
<!--mega menu file-->
			<link href="catalog/view/theme/default/stylesheet/megaheader.css" rel="stylesheet">			
			<script type="text/javascript" src="catalog/view/theme/default/megamenu/megamenu.js"></script>
			<link rel="stylesheet" type="text/css" href="catalog/view/theme/default/megamenu/menu.css">
			<script type="text/javascript">
					var responsive_design = 'yes';
			</script>
			<!--mega menu file-->
</head>
<body class="<?php echo $class; ?>">
<nav id="top">
  <div class="container">
    <div id="top-links" class="nav pull-left">
      <ul class="list-inline">
        <li><?php echo $text_welcome; ?>
			<?php if ($logged) { ?>
			<?php echo $text_logged; ?> <a href="<?php echo $logout; ?>"><?php echo $text_logout; ?></a>
			<?php } else { ?>
			<a href="<?php echo $login; ?>"><?php echo $text_login; ?></a>
			Or <a href="<?php echo $register; ?>"><?php echo $text_register; ?></a>
			<?php } ?>
		</li>
	  </ul>
    </div>
  </div>
</nav>
<header>
  <div class="container">
    <div class="row">
      <div class="col-sm-3">
        <div id="logo">
          <?php if ($logo) { ?>
          <a href="<?php echo $home; ?>"><img src="<?php echo $logo; ?>" title="<?php echo $name; ?>" alt="<?php echo $name; ?>" class="img-responsive" /></a>
          <?php } else { ?>
          <h1><a href="<?php echo $home; ?>"><?php echo $name; ?></a></h1>
          <?php } ?>
        </div>
      </div>
	  <div class="col-sm-12 visible-xs">
		<?php echo $search; ?>
	  </div>
      <div class="col-sm-8">
		  <?php echo $megaheaders;?>
		<?php if ($categories) { ?>
		<nav id="menu" class="navbar">
			<div class="navbar-header"><span id="category" class="visible-xs"><?php echo $text_category; ?></span>
				<button type="button" class="btn btn-navbar navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse"><i class="fa fa-bars"></i></button>
			</div>
			<div class="collapse navbar-collapse navbar-ex1-collapse">
				<ul class="nav navbar-nav">
					<?php foreach ($categories as $category) { ?>
					<?php if ($category['children']) { ?>
					<li class="dropdown"><a href="<?php echo $category['href']; ?>" class="dropdown-toggle" data-toggle="dropdown"><?php echo $category['name']; ?></a>
						<div class="dropdown-menu">
							<div class="dropdown-inner">
								<?php foreach (array_chunk($category['children'], ceil(count($category['children']) / $category['column'])) as $children) { ?>
								<ul class="list-unstyled">
									<?php foreach ($children as $child) { ?>
									<li><a href="<?php echo $child['href']; ?>"><?php echo $child['name']; ?></a></li>
									<?php } ?>
								</ul>
								<?php } ?>
							</div>
							<a href="<?php echo $category['href']; ?>" class="see-all"><?php echo $text_all; ?> <?php echo $category['name']; ?></a>
						</div>
					</li>
					<?php } else { ?>
					<li><a href="<?php echo $category['href']; ?>"><?php echo $category['name']; ?></a></li>
					<?php } ?>
					<?php } ?>
				</ul>
			</div>
		</nav>
		<?php } ?>
	
      </div>
      <div class="col-sm-1">
		<div class="nav pull-right top-link">
			<ul class="list-inline">
				<li class="dropdown"><a href="<?php echo $account; ?>" title="<?php echo $text_account; ?>" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-user"></i> <span class="hidden"><?php echo $text_account; ?></span> <span class="caret hidden"></span></a>
					<ul class="dropdown-menu dropdown-menu-right">
						<?php if ($logged) { ?>
						<li><a href="<?php echo $account; ?>"><?php echo $text_account; ?></a></li>
						<li><a href="<?php echo $order; ?>"><?php echo $text_order; ?></a></li>
						<li><a href="<?php echo $transaction; ?>"><?php echo $text_transaction; ?></a></li>
						<li><a href="<?php echo $download; ?>"><?php echo $text_download; ?></a></li>
						<li><a href="<?php echo $logout; ?>"><?php echo $text_logout; ?></a></li>
						<?php } else { ?>
						<li><a href="<?php echo $register; ?>"><?php echo $text_register; ?></a></li>
						<li><a href="<?php echo $login; ?>"><?php echo $text_login; ?></a></li>
						<?php } ?>
					</ul>
				</li>
			</ul>
		</div>
	  </div>
	  <div class="col-sm-12 hidden-xs">
		<?php echo $search; ?>
	  </div>
	</div>
    
  </div>
</header>

